var claseUsuario = "";
var descClaseUsuarioEs = "";
var descClaseUsuarioEu = "";

$.ajax({
	  type: "POST",
	  url: "../usuarios/obtenerClaseUsuario",
	  success: function(data){
		
			  if (data.idclase != null && data.idclase >=0){
				 
				  claseUsuario = data.idclase;			
				  descClaseUsuarioEs = data.cclase;
				  descClaseUsuarioEu = data.eclase;
				  
				  if ($("#cclase_search").val() == "" ) {
					  $("#idclase_search").val(data.idclase);				
					 // alert($("#idclase_search").val());
					  if ($.rup_utils.capitalizedLang() =="Es") {	
						  $("#cclase_search").val(data.cclase);						  
					  } else {
						  $("#cclase_search").val(data.eclase);
						  
					  }
				  }
				  
			  }else{
				  //Si desde el mantenimiento de usuarios no se le ha asignado alguna clase no puede buscar nada
				  $("#idclase_search").val("-1");
				  $("#imgBuscarClase").hide();
				  
			  }
		  },
		 error: function(data){
			 alert( "Error al comprobar la clase a la que pertenece el usuario");
		 },
	  dataType: "json"
	});
jQuery(function($){
	$("#corrPendientes_filter_div").toggle();
	//Si el usuario es tiene acceso a todos los servicios (idServicio=0) se podrá filtrar por cualquier Servicio.
	//En el resto de casos se filtrara por el Servicio al que pertenece para que solo salgan los partes asociados a ese servico
	$.ajax({
		  type: "POST",
		  url: "../usuarios/usuarioTodosServicios",
		  success: function(data){
				  if (data){
					  $("#filtroServicio").show();
				  }else{
					  $("#filtroServicio").hide();
				  }
			  },
			 error: function(data){
				 alert( "Error al comprobar el servicio al que pertenece el usuario");
			 },
		  dataType: "json"
		});

	
	
	var urlTipoPendiente = "";
	if ($("#tipoPendiente").val()=="CorrAsignar"){
		urlTipoPendiente ="../partes/gridCorrPendAsignar";
		$("#ventanaOrigen").val("CorrPendAsignar");
		$("#tituloPendientes").html($.rup.i18n.app.pendientes.corrAsignar);
	}else if ($("#tipoPendiente").val()=="CorrAut"){
		urlTipoPendiente ="../partes/gridCorrAutomatico";
		$("#ventanaOrigen").val("CorrPendAutomatico");
		$("#tituloPendientes").html($.rup.i18n.app.pendientes.corrAut);
	}else if ($("#tipoPendiente").val()=="CorrMan"){
		urlTipoPendiente ="../partes/gridCorrManual";
		$("#ventanaOrigen").val("CorrPendManual");
		$("#tituloPendientes").html($.rup.i18n.app.pendientes.corrMan);
	}
	var sClase="";
	var sCodigo="";
	$("#GRID_corrPendientes").rup_grid({
		
		//hasMaint: true,
		loadOnStartUp:false,
		width: 1012,
		url: urlTipoPendiente,
		pagerName: "pager",
		rowNum: "30",
		sortorder: "desc",
		sortname: "fechare",
		ondblClickRow : fncDetalleParte,
		colNames: [
		    $.rup.i18n.app.nuevo.vip,
			$.rup.i18n.app.nuevo.idparte,
			$.rup.i18n.app.nuevo.fechare,
			$.rup.i18n.app.nuevo.fechaplanif,
			$.rup.i18n.app.pendientes.tecnicos,
			$.rup.i18n.app.nuevo.edificio,
			$.rup.i18n.app.nuevo.zona,
			$.rup.i18n.app.nuevo.planta,
			$.rup.i18n.app.nuevo.clase,
			$.rup.i18n.app.nuevo.codigo,
			$.rup.i18n.app.nuevo.nombre
		],
		colModel: [
			{ name: "vip",
				label: "vip",
				index: "vip",
				width: "55",
				editable: true,
				edittype: "text",
			    formatter :
                	masiveIconFormatter = function(cellval, el, opts) 
                	{
			    		var html = '';
			    		var src = $.rup.RUP+"/basic-theme/images/rup.ok.png";
                		if (cellval && cellval != 0){
                        	html = '<img width="20" height="20" src='+src+' id="idDesc-'+cellval+'"  title="'+$.rup.i18n.app.nuevo.vip+'">';
                        }
                        return html;
                	}
			},		           
			{ name: "idparte",
				label: "idparte",
				index: "idparte",
				width: "50",
				editable: true,
				edittype: "text"
			},
			{ name: "fechare",
				label: "fechare",
				index: "fechare",
				width: "150",
				editable: true,
				edittype: "text"
			},
			{ name: "fechaplanif",
				label: "fechaplanif",
				index: "fechaplanif",
				width: "95",
				editable: true,
				edittype: "text"
			},
			{ name: "tecnicos",
				label: "tecnicos",
				index: "tecnicos",
				width: "120",
				editable: true,
				edittype: "text",
				hidden : $("#tipoPendiente").val()=="CorrAsignar"?true:false
			},
			{ name: "edificio." + obtenerIdioma() + "edificio",
				label: "edificio." + obtenerIdioma() + "edificio",
				index: "idedificio",
				width: "150",
				editable: true,
				edittype: "text"
			},
			{ name: "zona." + obtenerIdioma() + "zona",
				label: "zona." + obtenerIdioma() + "zona",
				index: "idzona",
				width: "110",
				editable: true,
				edittype: "text"
			},
			{ name: "planta." + obtenerIdioma() + "planta",
				label: "planta." + obtenerIdioma() + "planta",
				index: "idplanta",
				width: "110",
				editable: true,
				edittype: "text"
			},
			{ name: "clase." + obtenerIdioma() + "clase",
				label: "clase." + obtenerIdioma() + "clase",
				index: "idclase",
				width: "150",
				editable: true,
				edittype: "text"
			},
			{ name: "codigo." + obtenerIdioma() + "codigo",
				label: "codigo." + obtenerIdioma() + "codigo",
				index: "idcodigo",
				width: "150",
				editable: true,
				edittype: "text"
			},
			{ name: "nombre",
				label: "nombre",
				index: "nombre",
				width: "150",
				editable: true,
				edittype: "text"
			}
        ]
		
	});
	
	$("#corrPendientes").rup_maint({
		jQueryGrid: "GRID_corrPendientes",
		primaryKey: "idparte",
		modelObject: "Partes",
		detailButtons: $.rup.maint.detailButtons.SAVE,
		onafterDetailShow: function(){
			$("corrPendientes").rup_maint("search");
		},
		searchForm: "searchForm",
		showMessages: true,
		toolbar:{
			createDefaultToolButtons:false,
			newButtons: [
					{
					obj: {
						i18nCaption: $.rup.i18n.app.botones.editar,
						css: "rup-maint_edit"
						},
						json_i18n: $.rup.i18n.app.simpelMaint,
						click: fncDetalleParte
					},
					{
						obj: {
							i18nCaption: $.rup.i18n.app.botones.imprimir,
							css: "rup-maint_edit"
							},
							json_i18n: $.rup.i18n.app.simpelMaint,
							click: fncImprimir
						}
	
					]
	
			}
	});

	
	function fncDetalleParte() {
		var id= $("#GRID_corrPendientes").rup_grid('getGridParam','selrow');
		 //alert(id);
		 var ret = $("#GRID_corrPendientes").rup_grid('getRowData',id); 
		 var idparte =ret.idparte;
		 
		    // enviamos el form alternativo con el idparte
			buscaParteForm.idparte.value = idparte;
			buscaParteForm.submit();
		return false; 		
	}
	
	function fncImprimir() {
		//Enviar el formulario de busqueda a la funcion de imprimir
		var urlTipoPendienteImprimir="";
		if ($("#tipoPendiente").val()=="CorrAsignar"){
			urlTipoPendienteImprimir ="../partes/imprimirCorrPendAsignar";
		}else if ($("#tipoPendiente").val()=="CorrAut"){
			urlTipoPendienteImprimir ="../partes/imprimirCorrPendEjecAuto";
		}else if ($("#tipoPendiente").val()=="CorrMan"){
			urlTipoPendienteImprimir ="../partes/imprimirCorrPendEjecManual";
		}else{
			alert("Error. Vuelva a entrar desde el menú");
		}
		
		//Pasar los filtros al formulario filtroPendientesForm
		$("#idparte_pend").val($("#idparte_search").val());
		$("#fechareD_pend").val($("#fechareD_search").val());
		$("#fechareH_pend").val($("#fechareH_search").val());
		$("#fechaplanifD_pend").val($("#fechaplanifD_search").val());
		$("#fechaplanifH_pend").val($("#fechaplanifH_search").val());
		$("#nombre_pend").val($("#nombre_search").val());
		$("#iddepar_pend").val($("#iddepar_search").val());
		$("#iddir_pend").val($("#iddir_search").val());
		$("#idedificio_pend").val($("#idedificio_search").val());
		$("#idzona_pend").val($("#idzona_search").val());
		$("#idplanta_pend").val($("#idplanta_search").val());
		$("#idclase_pend").val($("#idclase_search").val());
		$("#cclase_pend").val($("#cclase_search").val());
		
		$("#idcodigo_pend").val($("#idcodigo_search").val());
		$("#idtecnico_pend").val($("#idtecnico_search").val());
		
		if ($("#urgente_search").is(':checked')){
			$("#urgente_impr").val(1);
		}
		
		$("#filtroPendientesForm").attr("action",urlTipoPendienteImprimir);
		$("#filtroPendientesForm").attr("method","GET");
		$("#filtroPendientesForm").attr("target","_blank");
		 //Se envia el formulario con el idmaquina y el idficha
		$("#filtroPendientesForm").submit();

	}
	
	//Busqueda por fecha de recepcion.
	$.rup_date({
		from: "fechareD_search",
		to: "fechareH_search",
		independientes: true
		});
	$.rup_date({
		from: "fechaplanifD_search",
		to: "fechaplanifH_search",
		independientes: true
		});
	$("#imprimirPendientes").hide();

	if ($("#actualesTodos").val()==1){
		//Se cargan todos los departamentos y direcciones, actuales y de baja
	
		//Departamento
		$("#comboDepartamentos").rup_combo({
			source: "../partes/departamentos/combo/remote",
			sourceParam: {label:obtenerIdiomaCombo()+"depar", value:"iddepar"},
			width: 200,
			menuWidth:350,
			blank: "",
			ordered: false,
			select: function(){
				//asignar el valor seleccionado al campo del formulario que actualiza el valor
				$("#iddepar_search").val($("#comboDepartamentos").rup_combo("value"));
				
				//asignar el valor para la opción de imprimir
				if ($("#comboDepartamentos").rup_combo("value")!=""){
					$("#cdepar_pend").val($("#comboDepartamentos-button").text());	
				}else{
					$("#cdepar_pend").val("");
				}
			},
			style : "dropdown"										
		});
		//Direccion
		$("#comboDirecciones").rup_combo({
			parent: [ "comboDepartamentos"],
			source: "../partes/direcciones/combo/remote",
			sourceParam: {label:obtenerIdiomaCombo()+"dir", value:"iddir"},
			width: 200,
			menuWidth:350,
			blank: "",
			ordered: false,
			select: function(){
				//asignar el valor seleccionado al campo del formulario que actualiza el valor
				$("#iddir_search").val($("#comboDirecciones").rup_combo("value"));
				//asignar el valor para la opción de imprimir
				if ($("#comboDirecciones").rup_combo("value")!=""){
					$("#cdir_pend").val($("#comboDirecciones-button").text());	
				}else{
					$("#cdir_pend").val("");
				}
			},
			style : "dropdown"										
		});
		$("input:radio[name=rbActTodos]", "#searchForm").filter("[value=1]").prop("checked", true);
	}else{
		//Departamento
		$("#comboDepartamentos").rup_combo({
			source: "../partes/departamentosAlta/combo/remote",
			sourceParam: {label:obtenerIdiomaCombo()+"depar", value:"iddepar"},
			width: 200,
			menuWidth:350,
			blank: "",
			ordered: false,
			select: function(){
				//asignar el valor seleccionado al campo del formulario que actualiza el valor
				$("#iddepar_search").val($("#comboDepartamentos").rup_combo("value"));
				
				//asignar el valor para la opción de imprimir
				if ($("#comboDepartamentos").rup_combo("value")!=""){
					$("#cdepar_pend").val($("#comboDepartamentos-button").text());	
				}else{
					$("#cdepar_pend").val("");
				}
			},
			style : "dropdown"										
		});
		//Direccion
		$("#comboDirecciones").rup_combo({
			parent: [ "comboDepartamentos"],
			source: "../partes/direccionesAlta/combo/remote",
			sourceParam: {label:obtenerIdiomaCombo()+"dir", value:"iddir"},
			width: 200,
			menuWidth:350,
			blank: "",
			ordered: false,
			select: function(){
				//asignar el valor seleccionado al campo del formulario que actualiza el valor
				$("#iddir_search").val($("#comboDirecciones").rup_combo("value"));
				//asignar el valor para la opción de imprimir
				if ($("#comboDirecciones").rup_combo("value")!=""){
					$("#cdir_pend").val($("#comboDirecciones-button").text());	
				}else{
					$("#cdir_pend").val("");
				}
			},
			style : "dropdown"										
		});
		
		$("input:radio[name=rbActTodos]", "#searchForm").filter("[value=0]").prop("checked", true);
	}
	//Edificio
	$("#comboEdificios").rup_combo({
		source: "../partes/edificiosUsuario/combo/remote",
		sourceParam: {label:obtenerIdiomaCombo()+"edificio", value:"idedificio"},
		width: 200,
		menuWidth:350,
		blank: "",
		select: function(){
			//asignar el valor seleccionado al campo del formulario que actualiza el valor
			$("#idedificio_search").val($("#comboEdificios").rup_combo("value"));
			//asignar el valor para la opción de imprimir
			if ($("#comboEdificios").rup_combo("value")!=""){
				$("#cedificio_pend").val($("#comboEdificios-button").text());	
			}else{
				$("#cedificio_pend").val("");
			}
		},
		style : "dropdown"										
	});
	
	
	// Limpiar no deschequea automaticamente los chekbox.  
	$("#clean_search_corrPendientes").unbind("click");
	$("#clean_search_corrPendientes").bind("click",limpiarFormBusqueda);

	$("#corrPendientes").rup_maint("search");
});

/*************************************************************/
/***********************SERVICIOS*****************************/
/*************************************************************/

$("#imgBuscarServicios").rup_tooltip({
	content: {
	text: $.rup.i18n.app.nuevo.ventanaSeleccion
	}
});

function btn_BuscarServicios(){
	var urlServicios="../servicios/obtenerServicios";
	
	$("#idTablaServicios").empty();
	var textoBaja="";
	//Obtener la lista de Servicios
	$.ajax({
		type: "POST",
		url: urlServicios,
		success: function(data){
			var miselect=$("#idTablaServicios");
			$("#idTablaServicios").empty();
            for (var i=0; i<data.length; i++) {
            	var descripcion = "";
            	if (data[i].baja=="1"){
            		textoBaja="(" + $.rup.i18n.app.GRID_cabeceras.baja  + ") ";
            	}else{
            		textoBaja= "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
            	}
              	if ($.rup_utils.capitalizedLang() =="Es") {	
              		descripcion =  textoBaja + data[i].cservicio;
              	} else {
              		descripcion = textoBaja + data[i].eservicio;
              	}
              	miselect.append('<option value="' + data[i].idservicio + '">' + descripcion + '</option>');
             	}								  
			},
		  dataType: "json"
		});

	
	//Mostrar la ventana de lupa Servicios
	$("#lupaServicios").rup_dialog({      
		type: jQuery.rup.dialog.DIV,
		modal:true,
        height:300,
        width:450,  
        resizable:false,
        title:$.rup.i18n.app.comun.serviciosVigentes,
        autoOpen:true,
        showLoading:true,
        async:false, 
        zIndex: -1,
        buttons:[{
	        	id: "aceptarlupaServicios",
	        	text: $.rup.i18n.base.rup_global.aceptar,
	        	click: function() {
		        		//Pintar el texto de servicio 
		        		$("#idServicio").val($("#idTablaServicios option:selected").val());
		        		var texto = $("#idTablaServicios option:selected").html();
		        		texto = texto.replace(/&nbsp;/g, "");
		        		$("#textoServicio").val(texto);
		        		$("#lupaServicios").rup_dialog("close");
	        		}
        	},
	        {
	    		id: "cerrarlupaServicios",
	    		text: $.rup.i18n.base.rup_global.cancelar,
	        	click: function() {
	        		$("#lupaServicios").rup_dialog("close");
	        	},
	        	btnType:$.rup.dialog.LINK
        	}]
      });
   

}

/**************************************************************/

function limpiarFormBusqueda() {
	$("#urgente_search").prop('checked', false);
	$("#corrPendientes").rup_maint("cleanSearchForm");
	$("#idclase_search").val(claseUsuario);
	if ($.rup_utils.capitalizedLang() =="Es") {	
		$("#cclase_search").val(descClaseUsuarioEs);
	} else {
		$("#cclase_search").val(descClaseUsuarioEu);
	}
	
	$("#corrPendientes").rup_maint("search");
	
	cargarCombosDptoDir(0);
	$("#rbActTodos1").attr('checked', true);
	$("#rbActTodos1").val(0);
	$("#rbActTodos2").val(1);
}

function obtenerIdiomaCombo(){
	var idioma="c";		
	if ($.rup_utils.capitalizedLang() =="Es") {	
		idioma = "c";
	} else idioma="e";
	return idioma;
	}
function activarCheck(e){
	$("input[type=checkbox]").each (function() {						
		$(this).val(this.checked ? "1" : "0");
	});
}
function obtenerIdioma(){
    var idioma="";       
    if ($.rup_utils.capitalizedLang() =="Es") {    
          idioma = "c";
    } else idioma="e";
    return idioma;
}


function btn_BuscarCodigos(){
	$("#idTablaClases").empty();
	var textoBaja="";
	//Obtener la lista de Clases
	$.ajax({
		type: "POST",
		url: "../clase/clases/obtenerClasesServicio",
		data:{idClase:claseUsuario},
		success: function(data){
			var miselect=$("#idTablaClases");
			$("#idTablaClases").empty();
            for (var i=0; i<data.length; i++) {
            	var descripcion = "";
            	if (data[i].baja=="1"){
            		textoBaja="(" + $.rup.i18n.app.GRID_cabeceras.baja  + ") ";
            	}else{
            		textoBaja= "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
            	}
              	if ($.rup_utils.capitalizedLang() =="Es") {	
              		descripcion =  textoBaja + data[i].cclase;
              	} else {
              		descripcion = textoBaja + data[i].eclase;
              	}
              	miselect.append('<option value="' + data[i].idclase + '">' + descripcion + '</option>');
             	}								  
			},
		  dataType: "json"
		});

	textoBaja="";
	if (parseInt(claseUsuario) > 0) {
		
		obtenerCodigosClase($("#idclase_search").val());
		} else {
	//Obtener la lista de activos
	$.ajax({
		type: "POST",
		url: "../codigo/codigos/obtenerCodigosServicio",
		success: function(data){
			var miselect=$("#idTablaCodigos");
			$("#idTablaCodigos").empty();
            for (var i=0; i<data.length; i++) {
            	var descripcion = "";
            	if (data[i].baja=="1"){
            		textoBaja="(" + $.rup.i18n.app.GRID_cabeceras.baja  + ") ";
            	}else{
            		textoBaja= "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
            	}
              	if ($.rup_utils.capitalizedLang() =="Es") {	
              		descripcion = textoBaja + data[i].ccodigo;
              	} else {
              		descripcion = textoBaja + data[i].ecodigo;
              	}
              	miselect.append('<option value="' + data[i].idclase + '@' + data[i].idcodigo + '">' + descripcion + '</option>');
             	}								  
			},
		  dataType: "json"
		});
		}
	
	//Mostrar la ventana de lupa
	$("#lupa").rup_dialog({      
		type: jQuery.rup.dialog.DIV,
		modal:true,
        height:300,
        width:649,  
        resizable:false,
        title:"",
        autoOpen:true,
        showLoading:true,
        async:false, 
        zIndex: -1,
        buttons:[{
	        	id: "aceptarLupa",
	        	text: $.rup.i18n.base.rup_global.aceptar,
	        	click: function() {
	        		//$("#comboClasesActivo_label").rup_autocomplete("search", sClase);
	        		//$("#comboActivos_label").rup_autocomplete("search", sCodigo);
	        		/*sClase = sClase.replace(/&nbsp;/g, "");
	        		$("#idclase_search").val(sClase);
	        		sCodigo = sCodigo.replace(/&nbsp;/g, "");
	        		$("#idcodigo_search").val(sCodigo);
	        		$("#lupa").rup_dialog("close");*/
	        		
	        		if ($("#idTablaClases").val() != null && $("#idTablaClases").val() != "" && $("#idTablaClases").val() != " ") {
		        		
		        		sClase = sClase.replace(/&nbsp;/g, "");
		        		$("#idclase_search").val($("#idTablaClases").val());
		        		$("#cclase_search").val(sClase);
		        		} 
		        		
		        		var elCodigo = $("#idTablaCodigos option:selected").html();
		        		if (elCodigo != undefined) {
		        		elCodigo = elCodigo.replace(/&nbsp;/g, "");
		        		
		        		$("#idcodigo_search").val(elCodigo);
		        		} else {
		        			$("#idcodigo_search").val("");
		        		}
		        		
		        		
		        		$("#lupa").rup_dialog("close");
	        		}
        	},
	        {
	    		id: "cerrarLupa",
	    		text: $.rup.i18n.base.rup_global.cancelar,
	        	click: function() {
	        		$("#lupa").rup_dialog("close");
	        	},
	        	btnType:$.rup.dialog.LINK
        	}]
      });
   
}
function obtenerCodigosClase(valor){
	textoBaja="";
	if (valor == "0") valor = "";
	//Obtener la lista de activos
	$.ajax({
		type: "POST",
		url: "../codigo/codigos/obtenerCodigosClaseServicio",
		  data:  { claseSel:valor },
		success: function(data){
			var miselect=$("#idTablaCodigos");
			$("#idTablaCodigos").empty();
            for (var i=0; i<data.length; i++) {
            	var descripcion = "";
            	if (data[i].baja=="1"){
            		textoBaja="(" + $.rup.i18n.app.GRID_cabeceras.baja  + ") ";
            	}else{
            		textoBaja= "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
            	}
              	if ($.rup_utils.capitalizedLang() =="Es") {	
              		descripcion = textoBaja + data[i].ccodigo;
              	} else {
              		descripcion = textoBaja + data[i].ecodigo;
              	}
              	miselect.append('<option value="' + data[i].idclase + '@' + data[i].idcodigo + '">' + descripcion + '</option>');
             	}								  
			},
		  dataType: "json"
		});

	sClase=$("#idTablaClases option:selected").html();;
}
function obtenerClaseCodigo(valor){
	var claseCodigo= valor; //Original Text

	var partes= claseCodigo.split('@');
	var clase = partes[0];
	var codigo= partes[1];
	
	sCodigo=$("#idTablaCodigos option:selected").html();;
	//Marcar clase asociada al activo	
	$("#idTablaClases option[value="+ clase +"]").attr("selected",true);
	sClase=$("#idTablaClases option:selected").html();
}
$(window).load(function() {
	$('#comboEdificios').rup_combo("setRupValue",$("#idedificio_search").val());
	$('#comboDepartamentos').rup_combo("setRupValue",$("#iddepar_search").val());
	$('#comboDirecciones').rup_combo("setRupValue",$("#iddir_search").val());
});

function cargarCombosDptoDir(valor){
	if (valor==1){
		$("#comboDepartamentos").rup_combo().data("settings").source="../partes/departamentos/combo/remote";
		$("#comboDirecciones").rup_combo().data("settings").source="../partes/direcciones/combo/remote";
		$("#actualesTodos").val(1);
	}else{
		$("#comboDepartamentos").rup_combo().data("settings").source="../partes/departamentosAlta/combo/remote";
		$("#comboDirecciones").rup_combo().data("settings").source="../partes/direccionesAlta/combo/remote";
		$("#actualesTodos").val(0);
	}
	$('#comboDepartamentos').rup_combo("reload");
	//vaciar el campo del formulario que actualiza el valor
	$("#iddepar_search").val("");
	$("#iddir_search").val("");
	
}

function ocultarBusqueda(){
	
	$("#corrPendientes_filter_div").toggle("slow",function(){
		
	});
}
